# Backtesting (Cryptohopper API)

Run and manage backtests, with their notes and versions.

- [List backtests](https://www.cryptohopper.com/api-documentation/api-reference/backtesting/get-backtest.md): `GET /backtest`
- [Start a backtest](https://www.cryptohopper.com/api-documentation/api-reference/backtesting/post-backtest.md): `POST /backtest`
- [Get backtest limits](https://www.cryptohopper.com/api-documentation/api-reference/backtesting/get-backtest-limits.md): `GET /backtest/limits`
- [Get a backtest](https://www.cryptohopper.com/api-documentation/api-reference/backtesting/get-backtest-id.md): `GET /backtest/{id}`
- [Delete a backtest](https://www.cryptohopper.com/api-documentation/api-reference/backtesting/delete-backtest-id.md): `DELETE /backtest/{id}`
- [Cancel a backtest](https://www.cryptohopper.com/api-documentation/api-reference/backtesting/get-backtest-id-cancel.md): `GET /backtest/{id}/cancel`
- [Get backtest notes](https://www.cryptohopper.com/api-documentation/api-reference/backtesting/get-backtest-id-notes.md): `GET /backtest/{id}/notes`
- [Add a note to a backtest](https://www.cryptohopper.com/api-documentation/api-reference/backtesting/post-backtest-id-notes.md): `POST /backtest/{id}/notes`
- [Update a backtest note](https://www.cryptohopper.com/api-documentation/api-reference/backtesting/patch-backtest-id-notes-note-id.md): `PATCH /backtest/{id}/notes/{note_id}`
- [Delete a backtest note](https://www.cryptohopper.com/api-documentation/api-reference/backtesting/delete-backtest-id-notes-note-id.md): `DELETE /backtest/{id}/notes/{note_id}`
- [Restart a backtest](https://www.cryptohopper.com/api-documentation/api-reference/backtesting/post-backtest-id-restart.md): `POST /backtest/{id}/restart`
- [List backtest versions](https://www.cryptohopper.com/api-documentation/api-reference/backtesting/get-backtest-id-versions.md): `GET /backtest/{id}/versions`
- [Delete all backtest versions](https://www.cryptohopper.com/api-documentation/api-reference/backtesting/delete-backtest-id-versions.md): `DELETE /backtest/{id}/versions`
- [Get a backtest version](https://www.cryptohopper.com/api-documentation/api-reference/backtesting/get-backtest-id-versions-version-id.md): `GET /backtest/{id}/versions/{version_id}`
- [Delete a backtest version](https://www.cryptohopper.com/api-documentation/api-reference/backtesting/delete-backtest-id-versions-version-id.md): `DELETE /backtest/{id}/versions/{version_id}`
- [List strategy backtests](https://www.cryptohopper.com/api-documentation/api-reference/backtesting/get-available-backtest-for-hopper.md): `GET /hopper/{id}/backtest`
- [Start a strategy backtest](https://www.cryptohopper.com/api-documentation/api-reference/backtesting/set-a-new-backtest-for-hopper.md): `POST /hopper/{id}/backtest`
- [List strategy backtests by page](https://www.cryptohopper.com/api-documentation/api-reference/backtesting/run-a-backtest-for-hopper.md): `GET /hopper/{id}/backtest/{start}/{limit}`

